package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.params.GenericExamCardModelFourParams;
import com.qmth.distributed.print.business.entity.ExamCard;
import com.qmth.distributed.print.business.entity.ExamCardModelFour;

import java.util.Map;

/**
 * <p>
 * 模式4题卡 服务类
 * </p>
 *
 * @author wangliang
 * @since 2025-03-06
 */
public interface ExamCardModelFourService extends IService<ExamCardModelFour> {

    /**
     * 新增/修改模式4题卡
     *
     * @param params
     * @return
     * @throws Exception
     */
    Map<String, String> saveGeneric(GenericExamCardModelFourParams params) throws Exception;

    /**
     * 创建jpg图片
     *
     * @param examCardModelFour
     * @return
     */
    ExamCardModelFour createJpgImage(ExamCardModelFour examCardModelFour);

    /**
     * 模式4答题卡列表（分页）
     *
     * @param iPage
     * @param semesterId
     * @param examId
     * @param courseId
     * @param paperNumber
     * @param collegeId
     * @param title
     * @return
     */
    IPage<ExamCardModelFour> listPage(IPage<Map> iPage, Long semesterId, Long examId, Long courseId, String paperNumber, Long collegeId, String title);
}
